package eu.mhsl.craftattack.spawn;

import eu.mhsl.craftattack.spawn.command.SpawnWorldMuseumVillagerCommand;
import eu.mhsl.craftattack.spawn.listener.PlayerEntityInteractListener;
import eu.mhsl.craftattack.spawn.util.VillagerSpawner;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.Objects;

public final class Main extends JavaPlugin {

    @Override
    public void onEnable() {
//        register Commands
        Objects.requireNonNull(this.getCommand("worldMuseum-villager")).setExecutor(new SpawnWorldMuseumVillagerCommand());

//        register listeners
        Bukkit.getPluginManager().registerEvents(new PlayerEntityInteractListener(), this);

//        Load config & spawn Villager
        saveDefaultConfig();
        VillagerSpawner.spawnVillager();
    }
    @Override
    public void onDisable() {
        VillagerSpawner.killVillager();
    }
}
